.header {
  background-color: $background-color;
  width: 100%;
  padding: 28px 0;
  position: absolute;
  z-index: 2;

  @media (min-width: 481px) {
    padding-bottom: 16px;
  }

  @media (min-width: 993px) {
    background: none;
  }

  .header__wrapper {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;

    @media (min-width: 481px) {
      display: grid;
      grid-row-gap: 16px;
      grid-template-columns: 1fr minmax(auto, 148px);
      grid-template-areas:
        "logo btn"
        "menu menu";
    }

    @media (min-width: 993px) {
      display: grid;
      grid-template-columns: 1fr minmax(auto, 600px) minmax(auto, 148px);
      grid-column-gap: calc(48/14) * 1em;
      grid-template-areas:
        "logo menu btn"
    }

    .header__logo {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      grid-area: logo;
      gap: 16px;

      .header__logo-image {
        width: 43px;
        height: 41px;

        &.logo-image--hover {
          display: none;
        }
      }

      .header__logo-image-wrapper {
        position: relative;
        width: 43px;
        height: 41px;
      }

      .header__logo-text {
        display: none;
        color: $primary-color;
        font-family: Lato, sans-serif;
        font-size: 1.75em;
        font-weight: 700;
        line-height: 1;
        text-transform: uppercase;

        @media (min-width: 481px) {
          display: flex;
        }
      }

      &:hover {
        cursor: pointer;

        .logo-image--hover {
          display: block;
        }

        .logo-image--normal {
          display: none;
        }

        .header__logo-text {
          color: $light-color;
        }
      }
    }

    .header__btn {
      background: $primary-color;
      border-radius: 40px;
      padding: 10px 16px;
      color: $light-color;
      text-align: center;
      font-size: 1.08em;
      font-weight: 700;
      text-transform: capitalize;
      grid-area: btn;
      border: 1px solid $primary-color;


      &:hover {
        background: $light-color;
        color: $primary-color;
      }

      @media (min-width: 481px) {
        font-size: 1.1em;
        padding: 10px 28px;
      }
    }

    .header__menu-controls {
      display: flex;
      grid-area: controls;

      @media (min-width: 481px) {
        display: none;
      }

      .header__menu-icon {
        width: 23px;
        height: 23px;
        cursor: pointer;

        &.header__menu-icon--hide {
          display: none;
        }
      }
    }

    .header__menu {
      background: $secondary-background-color;
      position: absolute;
      width: 100%;
      top: calc(100% + 28px);
      right: 0;
      padding-bottom: 1em;
      display: none;
      grid-area: menu;

      @media (min-width: 481px) {
        position: static;
        display: flex;
        justify-content: space-between;
        text-align: center;
        width: 80%;
        max-width: 600px;
        margin: 0 auto;
        background: none;
        color: $primary-color;
        align-items: center;
        padding: 0;
        gap: 1em;
      }

      @media (min-width: 993px) {
        width: 100%;
        justify-content: flex-end;
        gap: calc(48 / 14) * 1em;
      }

      &.header__menu--show {
        display: block;

        @media (min-width: 481px) {
          display: flex;
        }
      }

      .header__menu-item {
        padding: 28px 0 20px 36px;
        color: $light-color;
        font-size: calc(26/14) * 1em;
        text-transform: capitalize;
        border-bottom: 3px solid #3B3B3B;
        position: relative;

        @media (min-width: 481px) {
          color: $primary-color;
          font-size: min(2.8vw, (16 / 14) * 1em);
          font-weight: 700;
          line-height: 1.12;
          border-bottom: none;
          padding: 0;
        }

        &::before {
          content: ' ';
          display: none;
          width: 8px;
          height: 52px;
          background: $primary-color;
          left: 2px;
          top: 50%;
          transform: translate(0, -50%);
          position: absolute;
        }

        &:hover {
          color: $primary-color;

          &::before {
            display: inline-block;

            @media (min-width: 481px) {
              display: none;
            }
          }
          
          @media (min-width: 481px) {
            color: $light-color;
          }
        }
      }
    }
  }
}